Bug 199197 - Can't import pictures from camera
Summary: Can't import pictures from camera
Status: RESOLVED DOWNSTREAM
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-Gphoto2 (show other bugs)
Version: 1.2.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-06 22:10 UTC by sebastian schmitt
Modified: 2017-08-16 06:11 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sebastian schmitt 2009-07-06 22:10:07 UTC
Version:            (using Devel)
Compiler:          gcc 4.4 
OS:                Linux
Installed from:    Compiled sources

can't import pictures form cannon eos 350d menu item does simply nothing

import from cf card is ok
Comment 1 caulier.gilles 2009-07-06 22:13:47 UTC
Which digiKam and libgphoto2 versions you use exactly ? Go to Help/Components Info for details...

In case of Canon camera, driver is PTP from gphoto2.

So issue can be in gphoto2 or in digiKam gphoto2 interface.

Gilles Caulier
Comment 2 Marcel Wiesweg 2009-08-01 12:44:07 UTC
First step to identify the location of the problem is downloading from the camera using the gphoto2 command line utility.

Which "menu item" do you mean? What is "simply nothing": Really no reaction at all? Showing the camera import window, but empty? Connection failed?
Please post the output on the console while trying to download. Ensure debug code 50003 is activated using kdebugdialog.
Comment 3 sebastian schmitt 2009-08-09 10:21:34 UTC
it simply did nothing no window appeared i cant check the thing with the camera again wasn't mine

gphoto2 2.4.5
gphoto2         2.4.5          gcc, popt(m), exif, no cdk, aa, jpeg, readline
libgphoto2      2.4.6          gcc, ltdl, EXIF
libgphoto2_port 0.8.0          gcc, ltdl, USB, serial without locking

i will try to get the camera again
Comment 4 Nate Weibley 2009-12-13 18:03:14 UTC
Same problem, same camera. Didn't find any other reports so I'm guessing it's a quirk with the 350D.
Comment 5 Johannes Wienke 2009-12-13 18:19:05 UTC
(In reply to comment #4)
> Same problem, same camera. Didn't find any other reports so I'm guessing it's a
> quirk with the 350D.

Can you provide the information requested above by Marcel?
Comment 6 Nate Weibley 2009-12-13 18:47:11 UTC
Yes. Downloading through gphoto2 command line worked properly (I simply downloaded the first 10 images: gphoto2 --get-file 1-10)



In digikam selecting Import->Cameras->Canon EOS 350D (auto detected) does absolutely nothing. The dropdown menu disappears like the item was selected properly, but nothing seems to happen. Nothing is output to the terminal via stdout or stderr, no windows or dialogs or anything are created. Error codes 50003-50006 were all enabled. 

Oddly I've never had a problem with downloading from this camera up until about 2 weeks ago.
Comment 7 Marcel Wiesweg 2009-12-17 20:46:02 UTC
Normally there should be a message "fillSolidMenus: Found Camera..." after plugging in the camera, and when successfully opening, ""Found camera from ids...", or when failing, "Failed to detect camera with GPhoto2 from Solid information". The latter is output with kError(), I remember this was broken recently in KDE.

Can you attach the output of "solid-hardware list details" and "gphoto2 --debug --auto-detect", both with the camera plugged in?
Comment 8 step247 2010-03-28 17:05:07 UTC
Looks like this is not only a 350D problem

For unknown reason, digikam stopped downloading images from Canon G9. 

.... digikam(24102)/digikam (core) Digikam::DigikamApp::checkSolidCamera: fillSolidMenus: Found Camera  " USB Imaging Interface"  protocols  ("ptp")  drivers  ("gphoto")
digikam(24102)/digikam (core) Digikam::DigikamApp::checkSolidCamera: fillSolidMenus: Found Camera  " USB Imaging Interface"  protocols  ("ptp")  drivers  ("gphoto")
digikam(24102)/digikam (core): Failed to detect camera with GPhoto2 from Solid information

$ solid-hardware list details 

udi = '/org/freedesktop/Hal/devices/usb_device_4a9_315a_217C36BD255C427FB1701D0E2DAC1B24'
  parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_2_0000_00_1d_7'  (string)
  vendor = 'Canon, Inc.'  (string)
  product = 'PowerShot G9'  (string)


$ gphoto2 --debug --auto-detect
0.000027 main(2): ALWAYS INCLUDE THE FOLLOWING LINES WHEN SENDING DEBUG MESSAGES TO THE MAILING LIST:
0.000052 main(2): gphoto2 2.4.5                                                                      
0.000058 main(2): gphoto2 has been compiled with the following options:                              
0.000062 main(2):  + i686-pc-linux-gnu-gcc (C compiler used)                                         
0.000065 main(2):  + popt (mandatory, for handling command-line parameters)                          
0.000068 main(2):  + exif (for displaying EXIF information)                                          
0.000071 main(2):  + cdk (for accessing configuration options)                                       
0.000074 main(2):  + no aa (for displaying live previews)                                            
0.000077 main(2):  + no jpeg (for displaying live previews in JPEG format)                           
0.000080 main(2):  + readline (for easy navigation in the shell)                                     
0.000085 main(2): libgphoto2 2.4.8                                                                   
0.000090 main(2): libgphoto2 has been compiled with the following options:                           
0.000093 main(2):  + i686-pc-linux-gnu-gcc (C compiler used)                                         
0.000098 main(2):  + ltdl (for portable loading of camlibs)                                          
0.000102 main(2):  + EXIF (for special handling of EXIF files)                                       
0.000105 main(2): libgphoto2_port 0.8.0                                                              
0.000110 main(2): libgphoto2_port has been compiled with the following options:                      
0.000113 main(2):  + i686-pc-linux-gnu-gcc (C compiler used)                                         
0.000116 main(2):  + ltdl (for portable loading of camlibs)                                          
0.000119 main(2):  + USB (libusb, for USB cameras)                                                   
0.000122 main(2):  + serial (for serial cameras)                                                     
0.000125 main(2):  + no resmgr (serial port access and locking)                                      
0.000128 main(2):  + no baudboy (serial port locking)                                                
0.000132 main(2):  + no ttylock (serial port locking)                                                
0.000135 main(2):  + no lockdev (serial port locking)                                                
0.000138 main(2): CAMLIBS env var not set, using compile-time default instead                        
0.000141 main(2): IOLIBS env var not set, using compile-time default instead                         
0.000156 setting/gphoto2-setting.c(2): Creating $HOME/.gphoto                                        
0.000194 setting/gphoto2-setting.c(2): Loading settings from file "/home/mart/.gphoto/settings"      
0.000298 gphoto2-port-info-list(2): Using ltdl to load io-drivers from '/usr/lib/libgphoto2_port/0.8.0'...
0.000359 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/disk'.            
0.001448 gphoto2-port/disk(2): found 18 volumes                                                           
0.010145 gphoto2-port-info-list(2): Loaded 'Media 'Volume (reiserfs)'' ('disk:/mnt/p4-ketas') from '/usr/lib/libgphoto2_port/0.8.0/disk'.
0.010157 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/mnt/p4-home') from '/usr/lib/libgphoto2_port/0.8.0/disk'.     
0.010163 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/mnt/kolakas1') from '/usr/lib/libgphoto2_port/0.8.0/disk'.    
0.010169 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/home') from '/usr/lib/libgphoto2_port/0.8.0/disk'.            
0.010175 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/var') from '/usr/lib/libgphoto2_port/0.8.0/disk'.             
0.010181 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/tmp') from '/usr/lib/libgphoto2_port/0.8.0/disk'.             
0.010186 gphoto2-port-info-list(2): Loaded 'Media 'Volume (ext3)'' ('disk:/') from '/usr/lib/libgphoto2_port/0.8.0/disk'.                
0.010192 gphoto2-port-info-list(2): Loaded '' ('^disk:') from '/usr/lib/libgphoto2_port/0.8.0/disk'.                                     
0.010198 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/ptpip'.                                          
0.010299 gphoto2-port-info-list(2): Loaded 'PTP/IP Connection' ('ptpip:') from '/usr/lib/libgphoto2_port/0.8.0/ptpip'.                   
0.010307 gphoto2-port-info-list(2): Loaded '' ('^ptpip') from '/usr/lib/libgphoto2_port/0.8.0/ptpip'.                                    
0.010313 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/serial'.                                         
0.010473 gphoto2-port-info-list(2): Loaded 'Serial Port 0' ('serial:/dev/ttyS0') from '/usr/lib/libgphoto2_port/0.8.0/serial'.           
0.010481 gphoto2-port-info-list(2): Loaded 'Serial Port 1' ('serial:/dev/ttyS1') from '/usr/lib/libgphoto2_port/0.8.0/serial'.           
0.010487 gphoto2-port-info-list(2): Loaded 'Serial Port 2' ('serial:/dev/ttyS2') from '/usr/lib/libgphoto2_port/0.8.0/serial'.           
0.010493 gphoto2-port-info-list(2): Loaded 'Serial Port 3' ('serial:/dev/ttyS3') from '/usr/lib/libgphoto2_port/0.8.0/serial'.           
0.010498 gphoto2-port-info-list(2): Loaded '' ('^serial') from '/usr/lib/libgphoto2_port/0.8.0/serial'.                                  
0.010504 gphoto2-port-info-list(2): Called for filename '/usr/lib/libgphoto2_port/0.8.0/usb'.                                            
0.010791 gphoto2-port-info-list(2): Loaded 'Universal Serial Bus' ('usb:') from '/usr/lib/libgphoto2_port/0.8.0/usb'.                    
0.010799 gphoto2-port-info-list(2): Loaded '' ('^usb:') from '/usr/lib/libgphoto2_port/0.8.0/usb'.                                       
0.010811 gphoto2-port-info-list(2): Counting entries (17 available)...                                                                   
0.010816 gphoto2-port-info-list(2): 13 regular entries available.                                                                        
0.010822 gphoto2-port-info-list(2): Counting entries (17 available)...                                                                   
0.010827 gphoto2-port-info-list(2): 13 regular entries available.                                                                        
0.010972 gphoto2-abilities-list(2): Using ltdl to load camera libraries from '/usr/lib/libgphoto2/2.4.8'...                              
0.011139 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.8/canon'.                                                             
0.011146 gphoto2-abilities-list(2): Found '/usr/lib/libgphoto2/2.4.8/ptp2'.                                                              
0.011153 gp-abilities-list(2): Found 2 camera drivers.                                                                                   
0.014047 gphoto2-port-info-list(2): Counting entries (17 available)...                                                                   
0.014056 gphoto2-port-info-list(2): 13 regular entries available.                                                                        
0.014062 gphoto2-port(2): Creating new device...                                                                                         
0.014070 gphoto2-port-info-list(2): Getting info of entry 0 (17 available)...                                                            
0.014243 gphoto2-port(2): Setting settings...                                                                                            
0.014254 gphoto2-port(0): The operation 'update' is not supported by this device                                                         
0.014270 gphoto2-port-info-list(2): Getting info of entry 1 (17 available)...                                                            
0.014431 gphoto2-port(2): Setting settings...                                                                                            
0.014440 gphoto2-port(0): The operation 'update' is not supported by this device                                                         
0.014451 gphoto2-port-info-list(2): Getting info of entry 2 (17 available)...                                                            
0.014608 gphoto2-port(2): Setting settings...                                                                                            
0.014616 gphoto2-port(0): The operation 'update' is not supported by this device                                                         
0.014627 gphoto2-port-info-list(2): Getting info of entry 3 (17 available)...                                                            
0.014791 gphoto2-port(2): Setting settings...                                                                                            
0.015302 gphoto2-port(0): The operation 'update' is not supported by this device                                                         
0.015312 gphoto2-port-info-list(2): Getting info of entry 4 (17 available)...                                                            
0.015472 gphoto2-port(2): Setting settings...                                                                                            
0.015481 gphoto2-port(0): The operation 'update' is not supported by this device                                                         
0.015491 gphoto2-port-info-list(2): Getting info of entry 5 (17 available)...                                                            
0.015648 gphoto2-port(2): Setting settings...                                                                                            
0.015657 gphoto2-port(0): The operation 'update' is not supported by this device
0.015667 gphoto2-port-info-list(2): Getting info of entry 6 (17 available)...
0.015827 gphoto2-port(2): Setting settings...
0.015835 gphoto2-port(0): The operation 'update' is not supported by this device
0.015843 gphoto2-port-info-list(2): Getting info of entry 7 (17 available)...
0.015929 gphoto2-port(2): Setting settings...
0.015936 gphoto2-port-info-list(2): Getting info of entry 8 (17 available)...
0.016015 gphoto2-port(2): Setting timeout to 500 millisecond(s)...
0.016022 gphoto2-port(2): Setting settings...
0.016028 gphoto2-port-info-list(2): Getting info of entry 9 (17 available)...
0.016103 gphoto2-port(2): Setting timeout to 500 millisecond(s)...
0.016110 gphoto2-port(2): Setting settings...
0.016115 gphoto2-port-info-list(2): Getting info of entry 10 (17 available)...
0.016190 gphoto2-port(2): Setting timeout to 500 millisecond(s)...
0.016197 gphoto2-port(2): Setting settings...
0.016202 gphoto2-port-info-list(2): Getting info of entry 11 (17 available)...
0.016276 gphoto2-port(2): Setting timeout to 500 millisecond(s)...
0.016283 gphoto2-port(2): Setting settings...
0.016289 gphoto2-port-info-list(2): Getting info of entry 12 (17 available)...
0.016527 gphoto2-port(2): Setting timeout to 5000 millisecond(s)...
0.016534 gphoto2-port(2): Setting settings...
0.016539 libusb(2): gp_port_usb_update(old int=0, conf=-1, alt=-1), (new int=0, conf=-1, alt=-1)
0.016544 gphoto2-abilities-list.c(1): Auto-detecting USB cameras...
0.016563 gphoto2-port-usb(1): Looking for USB device (vendor 0x4a9, product 0x315a)... found.
0.016568 gphoto2-port-usb(2): inep to look for is 81
0.016572 gphoto2-port-usb(1): Detected defaults: config 1, interface 0, altsetting 0, inep 81, outep 02, intep 83, class 06, subclass 01
0.016577 gphoto2-abilities-list.c(2): Found 'Canon PowerShot G9 (PTP mode)' (0x4a9,0x315a)
0.016584 gphoto2-port(2): Freeing port...
0.016590 gphoto2-port(2): Closing port...
Model                          Port
----------------------------------------------------------
Canon PowerShot G9 (PTP mode)  usb:
0.016753 gp-camera(2): Freeing camera...
0.016760 gphoto2-port(2): Freeing port...
0.016768 gphoto2-filesystem(2): resetting filesystem
0.016772 libgphoto2/gphoto2-filesys.c(2): Clearing fscache LRU list...
0.016776 libgphoto2/gphoto2-filesys.c(2): fscache LRU list already empty
0.016780 gphoto2-filesystem(2): Internally deleting all folders from '/'...
0.016785 gphoto2-filesystem(2): Lookup folder '/'...
0.016789 gphoto2-filesystem(2): Found! / is 0x860c370
0.016794 gphoto2-filesystem(2): Recurse delete folder 0x860c370//

and yes, Digikam auto detects my camera. 

$ digikam --version
Qt: 4.6.2
KDE Development Platform: 4.4.1 (KDE 4.4.1)
digiKam: 1.1.0

$ gphoto2 --version
gphoto2 2.4.5

Copyright (c) 2000-2008 Lutz Mueller and others

gphoto2 comes with NO WARRANTY, to the extent permitted by law. You may
redistribute copies of gphoto2 under the terms of the GNU General Public
License. For more information about these matters, see the files named COPYING.

This version of gphoto2 is using the following software versions and options:
gphoto2         2.4.5          i686-pc-linux-gnu-gcc, popt(m), exif, cdk, no aa, no jpeg, readline
libgphoto2      2.4.8          i686-pc-linux-gnu-gcc, ltdl, EXIF
libgphoto2_port 0.8.0          i686-pc-linux-gnu-gcc, ltdl, USB, serial without locking
Comment 9 Marcel Wiesweg 2010-04-17 16:11:26 UTC
In solid-hardware list details, there must be two associated entries:

udi = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225_if0'
  parent = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225'  (string)
  vendor = ''  (string)
  product = 'USB Imaging Interface'  (string)
  Camera.supportedProtocols = {'ptp'}  (string list)
  Camera.supportedDrivers = {'gphoto'}  (string list)

udi = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225'
  parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0'  (string)
  vendor = 'Minolta Co., Ltd'  (string)
  product = 'DiMAGE Z1'  (string)

For the first one, please take the UDI and check the output from "solid-hardware nonportableinfo <UDI>":

solid-hardware nonportableinfo /org/freedesktop/Hal/devices/usb_device_686_401d_000060304225_if0
udi = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225_if0'
  camera.access_method = 'ptp'  (string)
  camera.libgphoto2.name = 'USB PTP Class Camera'  (string)
  camera.libgphoto2.support = true  (bool)
  info.capabilities = {'camera'}  (string list)
  info.category = 'camera'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225'  (string)
  info.product = 'USB Imaging Interface'  (string)
  info.subsystem = 'usb'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_686_401d_000060304225_if0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1/6-1:1.0'  (string)
  usb.bus_number = 6  (0x6)  (int)
  usb.can_wake_up = false  (bool)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.interface.class = 6  (0x6)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.protocol = 1  (0x1)  (int)
  usb.interface.subclass = 1  (0x1)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 2  (0x2)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb6/6-1/6-1:1.0'  (string)
  usb.max_power = 0  (0x0)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.product = 'USB Imaging Interface'  (string)
  usb.product_id = 16413  (0x401d)  (int)
  usb.serial = '000060304225'  (string)
  usb.speed = '12'  (string)
  usb.vendor = 'Minolta Co., Ltd'  (string)
  usb.vendor_id = 1670  (0x686)  (int)
  usb.version = '1.1'  (string)

Here it is important to have the usb.vendor_id and the usb.product_id.
Comment 10 Serge Ratke 2010-04-27 19:54:00 UTC
here's what i get for my canon eos 450d. same problem as described in the bug report.

solid-hardware nonportableinfo /org/freedesktop/Hal/devices/usb_device_4a9_3145_noserial_if0udi = '/org/freedesktop/Hal/devices/usb_device_4a9_3145_noserial_if0'
  camera.access_method = 'ptp'  (string)
  info.capabilities = {'camera'}  (string list)
  info.category = 'camera'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_4a9_3145_noserial'  (string)
  info.product = 'USB Imaging Interface'  (string)
  info.subsystem = 'usb'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_4a9_3145_noserial_if0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.7/usb1/1-4/1-4:1.0'  (string)
  usb.bus_number = 1  (0x1)  (int)
  usb.can_wake_up = false  (bool)
  usb.configuration_value = 1  (0x1)  (int)
  usb.device_class = 0  (0x0)  (int)
  usb.device_protocol = 0  (0x0)  (int)
  usb.device_revision_bcd = 2  (0x2)  (int)
  usb.device_subclass = 0  (0x0)  (int)
  usb.interface.class = 6  (0x6)  (int)
  usb.interface.number = 0  (0x0)  (int)
  usb.interface.protocol = 1  (0x1)  (int)
  usb.interface.subclass = 1  (0x1)  (int)
  usb.is_self_powered = true  (bool)
  usb.linux.device_number = 3  (0x3)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1a.7/usb1/1-4/1-4:1.0'  (string)
  usb.max_power = 2  (0x2)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.num_interfaces = 1  (0x1)  (int)
  usb.num_ports = 0  (0x0)  (int)
  usb.product = 'USB Imaging Interface'  (string)
  usb.product_id = 12613  (0x3145)  (int)
  usb.speed = '480'  (string)
  usb.vendor = 'Canon, Inc.'  (string)
  usb.vendor_id = 1193  (0x4a9)  (int)
  usb.version = '2'  (string)
Comment 11 Serge Ratke 2010-04-27 20:05:19 UTC
some additional infos

digikam 1.2.0
qt 4.6.2
gentoo amd64
Comment 12 Serge Ratke 2010-04-27 20:21:05 UTC
fixed the problem by setting the gphoto2 USE flag, hence the libgphoto2 being pulled in ;o)
Comment 13 caulier.gilles 2010-04-30 13:20:11 UTC
You fix the problem to set Gphoto2 USE flag ? In source code ? Do you have a patch ?

Gilles Caulier
Comment 14 Serge Ratke 2010-04-30 19:43:00 UTC
no, it's a gentoo specific mechanism (see USE flags) to in-/exclude functionality. so i basically turned on the use of gphoto lib.
Comment 15 caulier.gilles 2011-08-04 13:41:20 UTC
So, i suppose it's a distro specific problem.

Gilles Caulier